package msg

// EnterChapter 进入章节
type EnterChapter struct {
	PlayerId int64 `json:"userId"`
	Id       int64 `json:"id"` // 关卡id
}
type EnterChapterData struct{}

type ResponseEnterChapter struct {
	ErrCode int               `json:"errCode"`
	Msg     string            `json:"msg,omitempty"`
	Data    *EnterChapterData `json:"data"`
}

// ProgressReward 领取波次奖励
type ProgressReward struct {
	PlayerId int64 `json:"userId"`
	Id       int64 `json:"id"` // 关卡id
}

type ProgressRewardData struct{}

type ResponseProgressReward struct {
	ErrCode int                 `json:"errCode"`
	Msg     string              `json:"msg,omitempty"`
	Data    *ProgressRewardData `json:"data"`
}
